'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; /* eslint-disable */


var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _IconBase = require('terra-icon/lib/IconBase');

var _IconBase2 = _interopRequireDefault(_IconBase);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SvgIcon = function SvgIcon(customProps) {
  var attributes = _extends({}, customProps);

  return _react2.default.createElement(
    _IconBase2.default,
    attributes,
    _react2.default.createElement('path', { fill: '#9898E5', d: 'M21 5a1 1 0 0 1-1-1V1a1 1 0 0 1 2 0v3a1 1 0 0 1-1 1z' }),
    _react2.default.createElement('path', { fill: '#9898E5', d: 'M26.657 7.343a1 1 0 0 1-.707-1.707l2.121-2.121a1 1 0 1 1 1.414 1.414L27.364 7.05a.997.997 0 0 1-.707.293z' }),
    _react2.default.createElement('path', { fill: '#9898E5', d: 'M32 13h-3a1 1 0 0 1 0-2h3a1 1 0 0 1 0 2z' }),
    _react2.default.createElement('path', { fill: '#9898E5', d: 'M15.343 7.343a.997.997 0 0 1-.707-.293L12.515 4.93a1 1 0 1 1 1.414-1.414l2.121 2.121a1 1 0 0 1-.707 1.707z' }),
    _react2.default.createElement('path', { fill: '#9898E5', d: 'M13 13h-3a1 1 0 0 1 0-2h3a1 1 0 0 1 0 2z' }),
    _react2.default.createElement('path', { fill: '#EEBC99', d: 'M39 27c0-1.031-.962-2-2.148-2-.99 0-1.816.628-2.064 1.477C34.75 25.104 33.548 24 32.065 24h-.092c-1.177 0-2.171.697-2.555 1.669 0 0-.105-2.669-2.727-2.669h-.085c-1.284 0-2.404.699-2.606 2V11.5a3.5 3.5 0 1 0-7 0V28h-4.852C10.962 28 10 28.895 10 30v8c0 3.5 5.37 6.063 5.37 10h20.408S39 34.25 39 27z' }),
    _react2.default.createElement('path', { fill: '#CE9C7A', d: 'M16 34a1 1 0 0 1-1-1v-5h2v5a1 1 0 0 1-1 1z' })
  );
};

SvgIcon.displayName = "IconColorPulseOximetry";
SvgIcon.defaultProps = { "viewBox": "0 0 48 48", "xmlns": "http://www.w3.org/2000/svg" };

exports.default = SvgIcon;
/* eslint-enable */