'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; /* eslint-disable */


var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _IconBase = require('terra-icon/lib/IconBase');

var _IconBase2 = _interopRequireDefault(_IconBase);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SvgIcon = function SvgIcon(customProps) {
  var attributes = _extends({}, customProps);

  return _react2.default.createElement(
    _IconBase2.default,
    attributes,
    _react2.default.createElement('path', { fill: 'none', stroke: '#444', strokeWidth: '2', strokeLinecap: 'square', strokeMiterlimit: '10', d: 'M22 46H9a4 4 0 0 1-4-4V6a4 4 0 0 1 4-4h24a4 4 0 0 1 4 4v15' }),
    _react2.default.createElement('path', { fill: 'none', stroke: '#444', strokeWidth: '2', strokeLinecap: 'square', strokeMiterlimit: '10', d: 'M5 10h32' }),
    _react2.default.createElement('path', { fill: 'none', stroke: '#444', strokeWidth: '2', strokeLinecap: 'square', strokeMiterlimit: '10', d: 'M5 36h17' }),
    _react2.default.createElement('path', { 'data-cap': 'butt', 'data-color': 'color-2', fill: 'none', stroke: '#444', strokeWidth: '2', strokeMiterlimit: '10', d: 'M28.223 34c.91-4.008 4.494-7 8.777-7 3.534 0 6.527 2.037 8 5' }),
    _react2.default.createElement('path', { 'data-color': 'color-2', fill: 'none', stroke: '#444', strokeWidth: '2', strokeLinecap: 'square', strokeMiterlimit: '10', d: 'M45 26v6h-6' }),
    _react2.default.createElement('path', { 'data-cap': 'butt', 'data-color': 'color-2', fill: 'none', stroke: '#444', strokeWidth: '2', strokeMiterlimit: '10', d: 'M45.777 38c-.91 4.008-4.494 7-8.777 7-3.534 0-6.527-2.037-8-5' }),
    _react2.default.createElement('path', { 'data-color': 'color-2', fill: 'none', stroke: '#444', strokeWidth: '2', strokeLinecap: 'square', strokeMiterlimit: '10', d: 'M29 46v-6h6' })
  );
};

SvgIcon.displayName = "IconDataSync";
SvgIcon.defaultProps = { "viewBox": "0 0 48 48", "xmlns": "http://www.w3.org/2000/svg" };

exports.default = SvgIcon;
/* eslint-enable */