'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; /* eslint-disable */


var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _IconBase = require('terra-icon/lib/IconBase');

var _IconBase2 = _interopRequireDefault(_IconBase);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SvgIcon = function SvgIcon(customProps) {
  var attributes = _extends({}, customProps);

  return _react2.default.createElement(
    _IconBase2.default,
    attributes,
    _react2.default.createElement('path', { fill: 'none', stroke: '#444', strokeWidth: '2', strokeLinecap: 'square', strokeMiterlimit: '10', d: 'M21 13h-6c0-3.8-1-4.6-1-7 0-3 1.8-5 4-5s4 2 4 5-1 7-1 7z' }),
    _react2.default.createElement('path', { 'data-color': 'color-2', fill: 'none', stroke: '#444', strokeWidth: '2', strokeLinecap: 'square', strokeMiterlimit: '10', d: 'M18 21c-2.1 0-3.6-1.9-3.2-3.9L15 16h6l.2 1.1c.4 2-1.1 3.9-3.2 3.9z' }),
    _react2.default.createElement('path', { fill: 'none', stroke: '#444', strokeWidth: '2', strokeLinecap: 'square', strokeMiterlimit: '10', d: 'M3 15h6c0-3.8 1-4.6 1-7 0-3-1.8-5-4-5S2 5 2 8s1 7 1 7z' }),
    _react2.default.createElement('path', { 'data-color': 'color-2', fill: 'none', stroke: '#444', strokeWidth: '2', strokeLinecap: 'square', strokeMiterlimit: '10', d: 'M6 23c2.1 0 3.6-1.9 3.2-3.9L9 18H3l-.2 1.1C2.4 21.1 3.9 23 6 23z' })
  );
};

SvgIcon.displayName = "IconOutlineFootsteps";
SvgIcon.defaultProps = { "viewBox": "0 0 24 24", "xmlns": "http://www.w3.org/2000/svg" };

exports.default = SvgIcon;
/* eslint-enable */