'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; /* eslint-disable */


var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _IconBase = require('terra-icon/lib/IconBase');

var _IconBase2 = _interopRequireDefault(_IconBase);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SvgIcon = function SvgIcon(customProps) {
  var attributes = _extends({}, customProps);

  return _react2.default.createElement(
    _IconBase2.default,
    attributes,
    _react2.default.createElement('path', { 'data-color': 'color-2', fill: 'none', stroke: '#444', strokeWidth: '2', strokeLinecap: 'square', strokeMiterlimit: '10', d: 'M13.4 34.6l-9.9 9.9' }),
    _react2.default.createElement('path', { 'data-color': 'color-2', fill: 'none', stroke: '#444', strokeWidth: '2', strokeLinecap: 'square', strokeMiterlimit: '10', d: 'M23.3 16.2l2.8 2.9' }),
    _react2.default.createElement('path', { 'data-color': 'color-2', fill: 'none', stroke: '#444', strokeWidth: '2', strokeLinecap: 'square', strokeMiterlimit: '10', d: 'M19.1 20.5l2.8 2.8' }),
    _react2.default.createElement('path', { 'data-color': 'color-2', fill: 'none', stroke: '#444', strokeWidth: '2', strokeLinecap: 'square', strokeMiterlimit: '10', d: 'M14.8 24.7l2.8 2.8' }),
    _react2.default.createElement('path', { 'data-cap': 'butt', fill: 'none', stroke: '#444', strokeWidth: '2', strokeMiterlimit: '10', d: 'M36 17.6l7.1-7' }),
    _react2.default.createElement('path', { 'data-cap': 'butt', fill: 'none', stroke: '#444', strokeWidth: '2', strokeMiterlimit: '10', d: 'M37.4 4.9l-7 7.1' }),
    _react2.default.createElement('path', { fill: 'none', stroke: '#444', strokeWidth: '2', strokeLinecap: 'square', strokeMiterlimit: '10', d: 'M23.3 4.9l19.8 19.8' }),
    _react2.default.createElement('path', { fill: 'none', stroke: '#444', strokeWidth: '2', strokeLinecap: 'square', strokeMiterlimit: '10', d: 'M36 3.5l8.5 8.5' }),
    _react2.default.createElement('path', { fill: 'none', stroke: '#444', strokeWidth: '2', strokeLinecap: 'square', strokeMiterlimit: '10', d: 'M37.4 19.1L17.6 38.8l-8.4-8.4 19.7-19.8' })
  );
};

SvgIcon.displayName = "IconOutlineNeedle";
SvgIcon.defaultProps = { "viewBox": "0 0 48 48", "xmlns": "http://www.w3.org/2000/svg" };

exports.default = SvgIcon;
/* eslint-enable */