'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; /* eslint-disable */


var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _IconBase = require('terra-icon/lib/IconBase');

var _IconBase2 = _interopRequireDefault(_IconBase);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SvgIcon = function SvgIcon(customProps) {
  var attributes = _extends({}, customProps);

  return _react2.default.createElement(
    _IconBase2.default,
    attributes,
    _react2.default.createElement('path', { 'data-color': 'color-2', fill: 'none', stroke: '#444', strokeWidth: '2', strokeLinecap: 'square', strokeMiterlimit: '10', d: 'M8 20h6' }),
    _react2.default.createElement('path', { 'data-color': 'color-2', fill: 'none', stroke: '#444', strokeWidth: '2', strokeLinecap: 'square', strokeMiterlimit: '10', d: 'M2 27h6' }),
    _react2.default.createElement('circle', { fill: 'none', stroke: '#444', strokeWidth: '2', strokeLinecap: 'square', strokeMiterlimit: '10', cx: '37', cy: '7', r: '4' }),
    _react2.default.createElement('path', { 'data-cap': 'butt', fill: 'none', stroke: '#444', strokeWidth: '2', strokeMiterlimit: '10', d: 'M29.94 14.06L22 22a4 4 0 0 0 .61 6.157l6.125 4.083a2 2 0 0 1 .452 2.914L24 42' }),
    _react2.default.createElement('path', { 'data-cap': 'butt', fill: 'none', stroke: '#444', strokeWidth: '2', strokeMiterlimit: '10', d: 'M15 13l3.468-3.468a4 4 0 0 1 5.328-.295l13.408 10.526a4 4 0 0 0 5.328-.295L46 16' }),
    _react2.default.createElement('path', { 'data-cap': 'butt', fill: 'none', stroke: '#444', strokeWidth: '2', strokeMiterlimit: '10', d: 'M17 30l-2.259 3.518a4 4 0 0 1-2.313 2.006L2 39' })
  );
};

SvgIcon.displayName = "IconOutlineRunning";
SvgIcon.defaultProps = { "className": "", "viewBox": "0 0 48 48", "xmlns": "http://www.w3.org/2000/svg", "isBidi": true };

exports.default = SvgIcon;
/* eslint-enable */