'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; /* eslint-disable */


var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _IconBase = require('terra-icon/lib/IconBase');

var _IconBase2 = _interopRequireDefault(_IconBase);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SvgIcon = function SvgIcon(customProps) {
  var attributes = _extends({}, customProps);

  return _react2.default.createElement(
    _IconBase2.default,
    attributes,
    _react2.default.createElement('path', { 'data-cap': 'butt', 'data-color': 'color-2', fill: 'none', stroke: '#444', strokeWidth: '2', strokeMiterlimit: '10', d: 'M38 40.971v-1.489a6 6 0 0 0-3.023-5.209l-5.971-3.425' }),
    _react2.default.createElement('path', { 'data-cap': 'butt', 'data-color': 'color-2', fill: 'none', stroke: '#444', strokeWidth: '2', strokeMiterlimit: '10', d: 'M18.995 30.847l-5.971 3.425A6.002 6.002 0 0 0 10 39.482v1.489' }),
    _react2.default.createElement('path', { 'data-color': 'color-2', fill: 'none', stroke: '#444', strokeWidth: '2', strokeLinecap: 'square', strokeMiterlimit: '10', d: 'M24 33c-4.418 0-8-4.582-8-9v-4a8 8 0 0 1 16 0v4c0 4.418-3.582 9-8 9z' }),
    _react2.default.createElement('circle', { fill: 'none', stroke: '#444', strokeWidth: '2', strokeLinecap: 'square', strokeMiterlimit: '10', cx: '24', cy: '24', r: '22' })
  );
};

SvgIcon.displayName = "IconOutlineUserCircle";
SvgIcon.defaultProps = { "viewBox": "0 0 48 48", "xmlns": "http://www.w3.org/2000/svg" };

exports.default = SvgIcon;
/* eslint-enable */