'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; /* eslint-disable */


var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _IconBase = require('terra-icon/lib/IconBase');

var _IconBase2 = _interopRequireDefault(_IconBase);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SvgIcon = function SvgIcon(customProps) {
  var attributes = _extends({}, customProps);

  return _react2.default.createElement(
    _IconBase2.default,
    attributes,
    _react2.default.createElement('path', { fill: '#E6E6E6', d: 'M1 45a2 2 0 0 0 2 2h42a2 2 0 0 0 2-2V15H1v30z' }),
    _react2.default.createElement('path', { fill: '#E86C60', d: 'M45 5H3a2 2 0 0 0-2 2v8h46V7a2 2 0 0 0-2-2z' }),
    _react2.default.createElement('path', { fill: '#444', d: 'M10 10V2a1 1 0 0 1 1-1h2a1 1 0 0 1 1 1v8a1 1 0 0 1-1 1h-2a1 1 0 0 1-1-1z' }),
    _react2.default.createElement('path', { fill: '#444', d: 'M34 10V2a1 1 0 0 1 1-1h2a1 1 0 0 1 1 1v8a1 1 0 0 1-1 1h-2a1 1 0 0 1-1-1z' }),
    _react2.default.createElement('path', { fill: '#B3B3B3', d: 'M40 34h-3v-6h3a1 1 0 1 0 0-2h-3v-5a1 1 0 1 0-2 0v5h-6v-5a1 1 0 1 0-2 0v5h-6v-5a1 1 0 1 0-2 0v5h-6v-5a1 1 0 1 0-2 0v5H8a1 1 0 1 0 0 2h3v6H8a1 1 0 1 0 0 2h3v5a1 1 0 1 0 2 0v-5h6v5a1 1 0 1 0 2 0v-5h6v5a1 1 0 1 0 2 0v-5h6v5a1 1 0 1 0 2 0v-5h3a1 1 0 1 0 0-2zm-27 0v-6h6v6h-6zm8 0v-6h6v6h-6zm8 0v-6h6v6h-6z' })
  );
};

SvgIcon.displayName = "IconUiColor1CalendarGrid61";
SvgIcon.defaultProps = { "viewBox": "0 0 48 48", "xmlns": "http://www.w3.org/2000/svg" };

exports.default = SvgIcon;
/* eslint-enable */