'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; /* eslint-disable */


var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _IconBase = require('terra-icon/lib/IconBase');

var _IconBase2 = _interopRequireDefault(_IconBase);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SvgIcon = function SvgIcon(customProps) {
  var attributes = _extends({}, customProps);

  return _react2.default.createElement(
    _IconBase2.default,
    attributes,
    _react2.default.createElement('path', { fill: '#E6E6E6', d: 'M37 1H5a2 2 0 0 0-2 2v36a2 2 0 0 0 2 2h32a2 2 0 0 0 2-2V3a2 2 0 0 0-2-2z' }),
    _react2.default.createElement('path', { fill: '#EFD358', d: 'M44 29.25V46l-6-3-6 3V29.25z' }),
    _react2.default.createElement('path', { fill: '#B3B3B3', d: 'M30 14H12a1 1 0 1 1 0-2h18a1 1 0 1 1 0 2z' }),
    _react2.default.createElement('path', { fill: '#B3B3B3', d: 'M24 22H12a1 1 0 1 1 0-2h12a1 1 0 1 1 0 2z' }),
    _react2.default.createElement('path', { fill: '#B3B3B3', d: 'M24 30H12a1 1 0 1 1 0-2h12a1 1 0 1 1 0 2z' }),
    _react2.default.createElement('path', { fill: '#E86C60', d: 'M38 15c-4.963 0-9 4.038-9 9s4.037 9 9 9 9-4.038 9-9-4.037-9-9-9z' }),
    _react2.default.createElement('circle', { fill: '#C94949', cx: '38', cy: '24', r: '4' })
  );
};

SvgIcon.displayName = "IconColorAward49";
SvgIcon.defaultProps = { "className": "", "viewBox": "0 0 48 48", "xmlns": "http://www.w3.org/2000/svg", "isBidi": true };

exports.default = SvgIcon;
/* eslint-enable */