'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; /* eslint-disable */


var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _IconBase = require('terra-icon/lib/IconBase');

var _IconBase2 = _interopRequireDefault(_IconBase);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SvgIcon = function SvgIcon(customProps) {
  var attributes = _extends({}, customProps);

  return _react2.default.createElement(
    _IconBase2.default,
    attributes,
    _react2.default.createElement(
      'g',
      { fill: 'none', strokeWidth: '4', strokeLinecap: 'square', strokeMiterlimit: '10' },
      _react2.default.createElement('path', { stroke: '#e86c60', d: 'M8 30C8 20.1 24 4 24 4s16 16.1 16 26c0 10.1-8.3 16-16 16S8 40.1 8 30z' }),
      _react2.default.createElement('path', { 'data-color': 'color-2', stroke: '#c64b4b', d: 'M24 36c-1.6 0-6-1.1-6-6' })
    )
  );
};

SvgIcon.displayName = "IconColorBloodGlucose";
SvgIcon.defaultProps = { "viewBox": "0 0 48 48", "xmlns": "http://www.w3.org/2000/svg" };

exports.default = SvgIcon;
/* eslint-enable */