'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; /* eslint-disable */


var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _IconBase = require('terra-icon/lib/IconBase');

var _IconBase2 = _interopRequireDefault(_IconBase);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SvgIcon = function SvgIcon(customProps) {
  var attributes = _extends({}, customProps);

  return _react2.default.createElement(
    _IconBase2.default,
    attributes,
    _react2.default.createElement('path', { fill: '#458BC4', d: 'M37 32a.998.998 0 0 1-.786-.382l-11-14A.998.998 0 0 1 25 17a8.03 8.03 0 0 1 5.804-7.688.999.999 0 0 1 1.236.687l5.922 20.727A1 1 0 0 1 37 32z' }),
    _react2.default.createElement('path', { fill: '#43A6DD', d: 'M44.031 33.03l-6.198-2.754-.65-2.276H34a1 1 0 1 1 0-2h2.611l-.571-2H31a1 1 0 1 1 0-2h4.468l-.571-2H28a1 1 0 1 1 0-2h6.186c-.703-1.212-2-2-3.45-2h-3.105a7 7 0 0 1-5.268-2.39l-3.126-3.572A5 5 0 0 1 18 6.745V4.542c0-.738-.338-1.47-.973-1.845A1.996 1.996 0 0 0 14.586 3L3.793 13.793a1 1 0 0 0 0 1.414l24.328 24.328A5.001 5.001 0 0 0 31.658 41H45a2 2 0 0 0 2-2v-1.402a4.998 4.998 0 0 0-2.969-4.568z' }),
    _react2.default.createElement('path', { fill: '#E6E6E6', d: 'M30 23a1 1 0 0 0 1 1h5.04l-.572-2H31a1 1 0 0 0-1 1z' }),
    _react2.default.createElement('path', { fill: '#E6E6E6', d: 'M33 27a1 1 0 0 0 1 1h3.183l-.572-2H34a1 1 0 0 0-1 1z' }),
    _react2.default.createElement('path', { fill: '#E6E6E6', d: 'M27 19a1 1 0 0 0 1 1h6.897l-.314-1.099a3.969 3.969 0 0 0-.397-.901H28a1 1 0 0 0-1 1z' }),
    _react2.default.createElement('path', { fill: '#E0E0E0', d: 'M42 45H29.9a8 8 0 0 1-5.657-2.343L1.787 20.2c-.45-.45-.795-1.013-.908-1.64a3 3 0 0 1 .828-2.683L4.5 13.086l24.742 24.742A4 4 0 0 0 32.071 39H47v1a5 5 0 0 1-5 5z' })
  );
};

SvgIcon.displayName = "IconColorFootsteps";
SvgIcon.defaultProps = { "className": "", "viewBox": "0 0 48 48", "xmlns": "http://www.w3.org/2000/svg", "isBidi": true };

exports.default = SvgIcon;
/* eslint-enable */