'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; /* eslint-disable */


var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _IconBase = require('terra-icon/lib/IconBase');

var _IconBase2 = _interopRequireDefault(_IconBase);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SvgIcon = function SvgIcon(customProps) {
  var attributes = _extends({}, customProps);

  return _react2.default.createElement(
    _IconBase2.default,
    attributes,
    _react2.default.createElement('path', { fill: '#335262', d: 'M13 24a2 2 0 0 1-1.414-3.414l6-6A2 2 0 0 1 19 14h10a2 2 0 0 1 0 4h-9.171l-5.415 5.414c-.39.39-.902.586-1.414.586z' }),
    _react2.default.createElement('path', { fill: '#335262', d: 'M29 38H15a2 2 0 0 1-1.6-3.2l6-8a2 2 0 0 1 1.458-.795 2.027 2.027 0 0 1 1.556.58l8 8A2 2 0 0 1 29 38z' }),
    _react2.default.createElement('circle', { fill: '#5A7A84', cx: '37', cy: '8', r: '6' }),
    _react2.default.createElement('path', { fill: '#5A7A84', d: 'M46.414 14.586a2 2 0 0 0-2.828 0l-5.677 5.677s-5.5-4.934-5.834-5.212a4.536 4.536 0 0 0-6.388.581L7.294 42.058c-1.408 2.022 1.374 4.305 3.082 2.53l22.28-23.148c.064-.078.107-.165.165-.245l3.862 3.31c.378.33.848.495 1.317.495.513 0 1.025-.196 1.414-.586l7-7a2 2 0 0 0 0-2.828z' })
  );
};

SvgIcon.displayName = "IconColorRunning";
SvgIcon.defaultProps = { "className": "", "viewBox": "0 0 48 48", "xmlns": "http://www.w3.org/2000/svg", "isBidi": true };

exports.default = SvgIcon;
/* eslint-enable */