'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; /* eslint-disable */


var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _IconBase = require('terra-icon/lib/IconBase');

var _IconBase2 = _interopRequireDefault(_IconBase);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SvgIcon = function SvgIcon(customProps) {
  var attributes = _extends({}, customProps);

  return _react2.default.createElement(
    _IconBase2.default,
    attributes,
    _react2.default.createElement('path', { fill: '#B3B3B3', d: 'M41 45H7a4 4 0 0 1-4-4V7a4 4 0 0 1 4-4h34a4 4 0 0 1 4 4v34a4 4 0 0 1-4 4z' }),
    _react2.default.createElement('path', { fill: '#E6E6E6', d: 'M38 25H10a1 1 0 0 1-1-1c0-8.271 6.729-15 15-15s15 6.729 15 15a1 1 0 0 1-1 1z' }),
    _react2.default.createElement('path', { fill: '#E86C60', d: 'M24 26a1 1 0 0 1-.948-1.317l3-9a1 1 0 0 1 1.897.633l-3 9c-.14.419-.53.684-.949.684z' }),
    _react2.default.createElement('circle', { fill: '#5B5B5B', cx: '24', cy: '25', r: '3' })
  );
};

SvgIcon.displayName = "IconColorWeightScale";
SvgIcon.defaultProps = { "viewBox": "0 0 48 48", "xmlns": "http://www.w3.org/2000/svg" };

exports.default = SvgIcon;
/* eslint-enable */