'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; /* eslint-disable */


var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _IconBase = require('terra-icon/lib/IconBase');

var _IconBase2 = _interopRequireDefault(_IconBase);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SvgIcon = function SvgIcon(customProps) {
  var attributes = _extends({}, customProps);

  return _react2.default.createElement(
    _IconBase2.default,
    attributes,
    _react2.default.createElement('circle', { 'data-color': 'color-2', fill: 'none', stroke: '#444', strokeWidth: '2', strokeLinecap: 'square', strokeMiterlimit: '10', cx: '24', cy: '24', r: '6' }),
    _react2.default.createElement('path', { fill: 'none', stroke: '#444', strokeWidth: '2', strokeLinecap: 'square', strokeMiterlimit: '10', d: 'M46 27v-6l-6.405-.534a15.89 15.89 0 0 0-2.072-4.991l4.155-4.91-4.243-4.243-4.91 4.155a15.876 15.876 0 0 0-4.991-2.072L27 2h-6l-.534 6.405a15.89 15.89 0 0 0-4.991 2.072l-4.91-4.155-4.243 4.243 4.155 4.91a15.876 15.876 0 0 0-2.072 4.991L2 21v6l6.405.534a15.89 15.89 0 0 0 2.072 4.991l-4.155 4.91 4.243 4.243 4.91-4.155a15.876 15.876 0 0 0 4.991 2.072L21 46h6l.534-6.405a15.89 15.89 0 0 0 4.991-2.072l4.91 4.155 4.243-4.243-4.155-4.91a15.876 15.876 0 0 0 2.072-4.991L46 27z' })
  );
};

SvgIcon.displayName = "IconOutlineCog";
SvgIcon.defaultProps = { "viewBox": "0 0 48 48", "xmlns": "http://www.w3.org/2000/svg" };

exports.default = SvgIcon;
/* eslint-enable */