'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; /* eslint-disable */


var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _IconBase = require('terra-icon/lib/IconBase');

var _IconBase2 = _interopRequireDefault(_IconBase);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SvgIcon = function SvgIcon(customProps) {
  var attributes = _extends({}, customProps);

  return _react2.default.createElement(
    _IconBase2.default,
    attributes,
    _react2.default.createElement('path', { 'data-cap': 'butt', fill: 'none', stroke: '#444', strokeWidth: '2', strokeMiterlimit: '10', d: 'M5.728 11.764a21.922 21.922 0 0 0-3.29 16.59' }),
    _react2.default.createElement('path', { 'data-cap': 'butt', fill: 'none', stroke: '#444', strokeWidth: '2', strokeMiterlimit: '10', d: 'M34.002 4.425a21.896 21.896 0 0 0-14.354-1.974A21.888 21.888 0 0 0 8.912 8' }),
    _react2.default.createElement('path', { 'data-cap': 'butt', fill: 'none', stroke: '#444', strokeWidth: '2', strokeMiterlimit: '10', d: 'M45.55 19.66A21.9 21.9 0 0 0 38 7.053' }),
    _react2.default.createElement('path', { 'data-cap': 'butt', fill: 'none', stroke: '#444', strokeWidth: '2', strokeMiterlimit: '10', d: 'M45.996 24.45c.03-1.577-.11-3.181-.434-4.791' }),
    _react2.default.createElement('path', { 'data-cap': 'butt', fill: 'none', stroke: '#444', strokeWidth: '2', strokeMiterlimit: '10', d: 'M2.45 28.352c.064.315.134.628.21.938' }),
    _react2.default.createElement('path', { 'data-cap': 'butt', fill: 'none', stroke: '#444', strokeWidth: '2', strokeMiterlimit: '10', d: 'M18.317 45.255C23.244 39.647 25.59 31.887 24 24.006' }),
    _react2.default.createElement('path', { 'data-cap': 'butt', 'data-color': 'color-2', fill: 'none', stroke: '#444', strokeWidth: '2', strokeMiterlimit: '10', d: 'M24.697 45.987c4.451-6.505 6.47-15.82 4.692-23.067-.806-3.337-3.5-4.917-6.484-4.315-2.983.602-4.896 3.368-4.294 6.488 1.327 6.876-1.02 13.473-5.735 17.885' }),
    _react2.default.createElement('path', { 'data-cap': 'butt', fill: 'none', stroke: '#444', strokeWidth: '2', strokeMiterlimit: '10', d: 'M13.465 28c.301 4.52-1.657 8.797-5.023 11.554' }),
    _react2.default.createElement('path', { 'data-cap': 'butt', fill: 'none', stroke: '#444', strokeWidth: '2', strokeMiterlimit: '10', d: 'M35.37 26a36.102 36.102 0 0 0-.59-4.167v-.001c-1.2-5.957-7.003-9.813-12.96-8.612-4.87.982-8.336 5.04-8.782 9.743' }),
    _react2.default.createElement('path', { 'data-cap': 'butt', fill: 'none', stroke: '#444', strokeWidth: '2', strokeMiterlimit: '10', d: 'M31.884 44.535A35.634 35.634 0 0 0 35.43 31' }),
    _react2.default.createElement('path', { 'data-cap': 'butt', 'data-color': 'color-2', fill: 'none', stroke: '#444', strokeWidth: '2', strokeMiterlimit: '10', d: 'M18.96 8.296C11.053 10.819 6.145 18.943 7.823 27.268l.009-.002a8.263 8.263 0 0 1-2.765 7.944' }),
    _react2.default.createElement('path', { 'data-cap': 'butt', 'data-color': 'color-2', fill: 'none', stroke: '#444', strokeWidth: '2', strokeMiterlimit: '10', d: 'M39.604 39.497a41.076 41.076 0 0 0 .564-18.75h-.003C38.585 12.91 31.697 7.5 24 7.506' })
  );
};

SvgIcon.displayName = "IconOutlineFingerprint";
SvgIcon.defaultProps = { "viewBox": "0 0 48 48", "xmlns": "http://www.w3.org/2000/svg" };

exports.default = SvgIcon;
/* eslint-enable */