'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; /* eslint-disable */


var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _IconBase = require('terra-icon/lib/IconBase');

var _IconBase2 = _interopRequireDefault(_IconBase);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SvgIcon = function SvgIcon(customProps) {
  var attributes = _extends({}, customProps);

  return _react2.default.createElement(
    _IconBase2.default,
    attributes,
    _react2.default.createElement('path', { fill: '#EA9860', d: 'M45 26H3a1 1 0 0 1-1-1v-2a1 1 0 0 1 1-1h42a1 1 0 0 1 1 1v2a1 1 0 0 1-1 1z' }),
    _react2.default.createElement('path', { fill: '#EA9860', d: 'M45 12H3a1 1 0 0 1-1-1V9a1 1 0 0 1 1-1h42a1 1 0 0 1 1 1v2a1 1 0 0 1-1 1z' }),
    _react2.default.createElement('path', { fill: '#EA9860', d: 'M45 40H3a1 1 0 0 1-1-1v-2a1 1 0 0 1 1-1h42a1 1 0 0 1 1 1v2a1 1 0 0 1-1 1z' })
  );
};

SvgIcon.displayName = "IconOutlineNav";
SvgIcon.defaultProps = { "viewBox": "0 0 48 48", "xmlns": "http://www.w3.org/2000/svg" };

exports.default = SvgIcon;
/* eslint-enable */